The question at the end (which I failed to repeat) was asking if my Interactive Tutorials were compatible with Unity 4.2. They are not compatible with Unity 4.2, but I will be updating them soon.